package org.dromara.business.service;

import org.dromara.business.domain.CaseTenantOrganization;
import org.dromara.business.domain.vo.CaseTenantOrganizationVo;
import org.dromara.business.domain.bo.CaseTenantOrganizationBo;
import org.dromara.common.core.domain.R;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 合作组织Service接口
 *
 * @author wuzhigang
 * @date 2023-12-19
 */
public interface ICaseTenantOrganizationService {

    /**
     * 查询合作组织
     */
    CaseTenantOrganizationVo queryById(Long id);

    /**
     * 查询合作组织列表
     */
    TableDataInfo<CaseTenantOrganizationVo> queryPageList(CaseTenantOrganizationBo bo, PageQuery pageQuery);

    /**
     * 查询合作组织列表
     */
    List<CaseTenantOrganizationVo> queryList(CaseTenantOrganizationBo bo);

    /**
     * 新增合作组织
     */
    Boolean insertByBo(CaseTenantOrganizationBo bo);

    /**
     * 修改合作组织
     */
    Boolean updateByBo(CaseTenantOrganizationBo bo);

    /**
     * 校验并批量删除合作组织信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 查询合作组织选择列表
     *
     * @return
     */
    List<CaseTenantOrganizationVo> querySelectList();
}
